MrSID Decode SDK for Raster Reference Manual 9.5.4.4709

- Main Page
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Protected Member Functions | List of all members
LTIGeoImageReader Class Reference

abstract class for implementing a geo image reader More...

`#include <lti_geoImageReader.h>`

Inheritance diagram for LTIGeoImageReader:
[legend]
Collaboration diagram for LTIGeoImageReader:
[legend]

## Protected Member Functions
| LTIGeoImageReader (bool supportBandSelection)
LT_STATUS | init (bool useWorldFile)
bool | getUseWorldFile () const
LT_STATUS | readWorldFile (const LTFileSpec &file, bool &changed, bool doUseWorldFileTest=true)
LT_STATUS | readWorldFile (LTIOStreamInf &stream, bool &changed, bool doUseWorldFileTest=true)
Protected Member Functions inherited from LTIImageReader
| LTIImageReader (bool supportBandSelection)
LT_STATUS | init (const LTIImage *image=NULL)
LT_STATUS | loadMetadataIntoObjects (const LTIMetadataDatabase &fileMetadata, LTIPixel &pixelProps, bool updatePixelProps, bool updateGeoCoord)
virtual const char * | getSourceName (void) const =0

## Additional Inherited Members
Public Member Functions inherited from LTIImageReader
LT_STATUS | getDimsAtMag (double mag, lt_uint32 &width, lt_uint32 &height) const
| get image width and height at given magnification More...
lt_uint32 | getModifications (const LTIScene &scene) const
| get the modification bitfield for this image More...
LT_STATUS | getMetadataBlob (const char *type, LTIOStreamInf *&stream) const
| extract the metadata associated with the image of the given type More...
LTIMaskSource * | getMask () const
bool | getPipelineInfo (LTIPipelineInfo info) const
lt_int64 | getEncodingCost (const LTIScene &scene) const
| get the cost to encode this scene More...
bool | getReaderScene (const LTIScene &decodeScene, LTIScene &readerScene) const
| get the underlying scene to be used More...
LT_STATUS | readBegin (const LTIPixel &pixelProps, const LTIScene &fullScene)
| start strip-based read More...
LT_STATUS | readStrip (LTISceneBuffer &buffer, const LTIScene &stripScene)
| read a strip from the image More...
LT_STATUS | readEnd (void)
| finish strip-based read More...
Protected Attributes inherited from LTIImageReader
const bool | m_supportBandSelection

## Detailed Description

The LTIGeoImageReader abstract class extends the LTIImageReader so that it allows whether world files are used or ignored for setting up geo information.

Definition at line 29 of file lti_geoImageReader.h.

## Constructor & Destructor Documentation

LTIGeoImageReader::LTIGeoImageReader | ( | bool | supportBandSelection) |  |
| protected

## Member Function Documentation

bool LTIGeoImageReader::getUseWorldFile | ( | ) |  | const
| protected

LT_STATUS LTIGeoImageReader::init | ( | bool | useWorldFile) |  |
| protected

LT_STATUS LTIGeoImageReader::readWorldFile | ( | const LTFileSpec & | file,
|  | bool & | changed,
|  | bool | doUseWorldFileTest = `true`
| ) |  |
| protected

LT_STATUS LTIGeoImageReader::readWorldFile | ( | LTIOStreamInf & | stream,
|  | bool & | changed,
|  | bool | doUseWorldFileTest = `true`
| ) |  |
| protected

The documentation for this class was generated from the following file:

- lti_geoImageReader.h

LizardTech